org.apache.commons.lang3.text

## Interface FormatFactory

-     public interface FormatFactory

  Format factory.
  Since:
    2.4
  Version:
    $Id: FormatFactory.java 1088899 2011-04-05 05:31:27Z bayard $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Format` | `getFormat(String name, String arguments, Locale locale)` Create or retrieve a format instance.

- - ### Method Detail

    - #### getFormat

          Format getFormat(String name,
                         String arguments,
                         Locale locale)

      Create or retrieve a format instance.
      Parameters:
        `name` - The format type name
        `arguments` - Arguments used to create the format instance. This allows the `FormatFactory` to implement the "format style" concept from `java.text.MessageFormat`.
        `locale` - The locale, may be null
      Returns:
        The format instance

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.